# Übungsaufgabe 1: Schaltjahr

## Einführung

Eine Schaltjahr (im Gregorianischen Kalender) tritt auf:

* In jedem Jahr, das ohne Rest durch 4 teilbar ist.
* Es sei denn, das Jahr ist ohne Rest durch ``100`` teilbar, in welchem Fall es nur ein Schaltjahr ist, wenn es zusätzlich ohne Rest durch ``400`` teilbar ist.

Einige Beispiele:

* ``1997`` war kein Schaltjahr, da es nicht durch ``4`` teilbar ist.
* ``1900`` war kein Schaltjahr, da es nicht durch ``400`` teilbar ist.
* ``2000`` war ein Schaltjahr!

## Anweisungen

Deine Aufgabe ist es, zu bestimmen, ob ein gegebenes Jahr ein Schaltjahr ist.

Um diese Aufgabe zu lösen, musst du die Funktion ``isLeapYear`` in der Datei ``leap.hs`` implementieren, die ein Jahr entgegennimmt und bestimmt, ob es ein Schaltjahr ist.

**Hinweis:** Zur Lösung dieser Aufgabe können unter anderem die bereits behandelten **Guards** helfen.

## Ausführen und Testen

Um die Funktion zu testen, kannst du durch die folgenden Commands in diesem Ordner auf der Kommandozeile das Programm compilen und ausführen:

``>runhaskell leap.hs`` bzw

``>runhaskell exercises/block1/1-leap/leap.hs``
