# Optionale Bonusaufgabe: Factorial
## Anweisungen

Schreibe eine Funktion, die die verdienten Punkte bei einem einzelnen Wurf im Dartspiel zurückgibt.

Darts ist ein Spiel, bei dem die Spieler Darts auf ein Ziel werfen.

In dieser speziellen Variante des Spiels vergibt das Ziel je nach Trefferbereich 4 verschiedene Punktzahlen:

Unser Dart-Scoreboard mit Werten von einem kompletten Fehlschuss bis zum Bullseye:

- Wenn der Dart außerhalb des Ziels landet, verdient der Spieler keine Punkte (0 Punkte).
- Wenn der Dart im äußeren Kreis des Ziels landet, verdient der Spieler 1 Punkt.
- Wenn der Dart im mittleren Kreis des Ziels landet, verdient der Spieler 5 Punkte.
- Wenn der Dart im inneren Kreis des Ziels landet, verdient der Spieler 10 Punkte.

Der äußere Kreis hat einen Radius von 10 Einheiten (dies entspricht dem gesamten Radius des Ziels), der mittlere Kreis einen Radius von 5 Einheiten und der innere Kreis einen Radius von 1. Natürlich sind sie alle um denselben Mittelpunkt zentriert — das heißt, die Kreise sind konzentrisch und durch die Koordinaten (0, 0) definiert.

Schreibe eine Funktion, die für einen gegebenen Punkt im Ziel (definiert durch seine kartesischen Koordinaten x und y, wobei x und y reale Zahlen sind) die richtige Anzahl der Punkte zurückgibt, die durch einen Dartwurf an diesem Punkt verdient werden.
