# Ressourcen

## **Weiterführende Materialien**

Hier sind einige von uns empfohlene, nützliche Ressourcen, falls ihr euch nach dem Workshop weiter mit Haskell beschäftigen möchtet.

#### Doku
- [Offizielle Haskell-Dokumentation](https://www.haskell.org/documentation/)
Einstiegspunkt mit Links zur Haskell-Plattform, Tools und Tutorials.
- [Haskell-Wiki](https://wiki.haskell.org/index.php?title=Haskell)
Eine Sammlung nützlicher Artikel und Ressourcen zu Haskell.

#### Einsteigerfreundliche (E-)Books
- [Learn You a Haskell for Great Good!](http://learnyouahaskell.com/)
Ein humorvolles, interaktives Buch mit Visualisierungen, das die Grundlagen und Konzepte von Haskell sehr anschaulich erklärt.
- [Wikibooks Haskell](https://en.wikibooks.org/wiki/Haskell)
Sehr gutes Wikibook mit Status "featured", eingeteilt in Beginner, Advanced und Practical Parts, übersichtlich und hilfreich.
- [Real World Haskell](http://book.realworldhaskell.org/)
Praktisch orientiertes Buch, das zeigt, wie Haskell für reale Anwendungen genutzt werden kann.

#### Online-Kurse
- [CIS194 Introduction to Haskell](https://www.cis.upenn.edu/~cis1940/spring13/)
"Introductory Haskell"-Kurs der University of Pensyllvania. Sehr empfehlenswerter Einstiegs-Kurs.


#### Videos und Vorträge
- [Haskell for Imperative Programmers](https://www.youtube.com/playlist?list=PLe7Ei6viL6jGp1Rfu0dil1JH1SHk9bgDV)
Eine Serie von Videos für Programmierende mit Vorkenntnissen in imperativen Programmiersprachen.

#### Bibliotheken und Packages
- [Hackage: The Haskell Package Repository](https://hackage.haskell.org)
Repository für Haskell-Pakete und Bibliotheken.

- [Hoogle: Haskell API Search](https://hoogle.haskell.org/)
Eine Suchmaschine für Haskell-Funktionen und -Bibliotheken.
